#!/bin/sh

: ${TMPDIR:=/tmp}
tmpfile=$TMPDIR/createhashes.tmp
dir0=`dirname $0`
export OSNUMBER=`$dir0/printosnumber.sh 2>/dev/null`

# Temporary file for sorting the results
[ -f $tmpfile ] && rm -f $tmpfile

DIRS="/sbin /bin /usr/bin /usr/sbin /usr/local/bin /usr/local/sbin"
FILES="find
cron
ifconfig
watch
w
whoami
who
users
stat
sha1sum
kill
find
file
pstree
killall
lsattr
mount
netstat
egrep
fgrep
grep
cat
chmod
chown
env
ls
su
ps
dmesg
kill
login
chkconfig
depmod
insmod
modinfo
sysctl
syslogd
init
runlevel
groups
ip"


for I in ${FILES}; do
  for J in ${DIRS}; do
    test -d "${J}" || continue
    FILE="${J}/${I}"
    if [ -f ${FILE} ]
      then
        "$dir0/createfilehashes.pl" ${FILE} >> $tmpfile
    fi
  done
done

cat $tmpfile | sort

[ -f $tmpfile ] && rm -f $tmpfile

## EOF ##
